import React from "react";
import $ from 'jquery';
import  'jszip' ;
import 'pdfmake' ;
import 'pdfmake/build/vfs_fonts'
import 'datatables.net-bs4' ;
import 'datatables.net-editor-bs4'
import 'datatables.net-select-bs4'
import 'datatables.net-buttons-bs4' ;
import 'datatables.net-buttons/js/buttons.colVis.js';
import  'datatables.net-buttons/js/buttons.flash.js';
import 'datatables.net-buttons/js/buttons.html5.js' ;
import 'datatables.net-buttons/js/buttons.print.js' ;

import 'bootstrap/dist/js/bootstrap'
import './style.css';
window.pdfMake = require('pdfmake/build/pdfmake.min');
var vfs = require('pdfmake/build/vfs_fonts');
window.pdfMake.vfs = vfs.pdfMake.vfs;

export default class DataTable extends  React.Component
{
    constructor(props)
    {
        super(props);
        this.dataTable=React.createRef();
    }
    componentDidMount(){
        let options={...this.props.options||{}}
       $(this.dataTable.current).DataTable(options);
       if(this.props.onClick)
       {
         this.dataTable.current.addEventListener("click",(e)=>{
             this.props.onClick(e);
         })
       }

    }
    render()
    {
        return(<table id="dataTable" className="table table-striped table-bordered nowrap" ref={this.dataTable} style={{width:"100%"}}>{this.props.children}
    </table>)
    }
}